Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.example.com/v1/crm/leads/{leadId}/pricing-rules \ --header 'Authorization: Bearer <token>'
{ "meta": { "totalCount": 123, "totalPages": 123, "page": 123, "perPage": 123 }, "data": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "pricingItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "locked": true, "percent": 123, "perItem": 123, "cost": 123, "billMonths": [], "split": 123, "bonusAmount": 123, "triggerAmount": 123, "bonusCalculate": 123, "residual": 123, "startDate": "2023-12-25", "endDate": "2023-12-25", "createdAt": "<string>", "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "updatedAt": "<string>", "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "item": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "key": "<string>", "name": "<string>", "description": "<string>" } } ] }
Retrieve all pricing rules for a lead
Enter token in following format: Bearer
Show child attributes
The paginated list of pricing rules.